{% extends 'users/master/master.html' %}
{% load i18n %}
{% load static %}
{% load widget_tweaks %}
{% block title %}
{{title}}
{% endblock title %}


{% block content %}
<!-- content -->
<div class="art-content">

  <!-- curtain -->
  <div class="art-curtain"></div>




  <!-- swup container -->
  <div class="transition-fade" id="swup">

    <!-- scroll frame -->
    <div id="scrollbar" class="art-scroll-frame">

      <!-- container -->
      <div class="container-fluid {% if LANGUAGE_CODE == 'en' %} text-left {% else %} text-right rtl-dir {% endif %}">


        <!-- Back Button -->
        {% include "home/inc/back_btn.html" %}
        <!-- Back Button -->

        <!-- Display the errors -->
        {% include "home/inc/messages.html" %}
        <!-- Display the errors -->
        <section id='percentage-home-details-wrapper' class="mt-5">
          <form method="POST" class="mb-5">
            {% csrf_token %}
            <fieldset>
              <legend class="mb-4 text-white d-inline-block">
                {% trans "Update percentage" %}
              </legend>
              <!-- form field start -->
              <div class="form-group row art-form-field">
                <label for="label" class="col-sm-2 col-form-label text-white">
                  {% render_field update_form.label.label %}
                </label>
                <div class="col-sm-10">
                  <!-- input -->
                  {% render_field update_form.label class+="art-input custom-art-input" id="label" value=object.label %}
                </div>
              </div>
              <!-- form field end -->

              <!-- form field start -->
              <div class="form-group row art-form-field">
                <label for="percentage" class="col-sm-2 col-form-label text-white">
                  {% render_field update_form.percentage.label %}
                </label>
                <div class="col-sm-10">
                  <!-- input -->
                  {% render_field update_form.percentage class+="art-input custom-art-input percentageInput" id="percentage" value=object.percentage_value %}
                  <small id="percentageHelp" class="form-text text-muted mx-2 mt-1 text-white" style="font-size: 12px;">
                    {% trans "The value should be between 1 to 10" %}
                  </small>
                </div>
              </div>
              <!-- form field end -->

              <!-- button -->
              <div class="art-submit-frame {% if LANGUAGE_CODE == 'en' %}text-right{% else %}text-left{% endif %}">
                <button class="art-btn art-btn-md art-submit" type="submit">
                  <span>{% trans 'Update' %}</span>
                </button>
                <!-- success -->
              </div>
            </fieldset>
          </form>
          <hr />
        </section>

      </div>
      <!-- container end -->




    </div>
    <!-- scroll frame end -->

  </div>
  <!-- swup container end -->

</div>
<!-- content end -->

{% endblock content %}